| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bxml.cpp File Reference

Reads, writes and validates XML files. More...

`#include "rwxml.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Reads, writes and validates XML files.

Author
  Bernard Heymann

Date
  Created: 20140423
  Modified: 20140424

Definition in file bxml.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 36 of file bxml.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bxml [options] input.xml [input.xml]",
"-------------------------------------------",
"Reads, writes and validates XML files.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
" ",
"Input:",
"-validate mg.xsd Validate XML input file(s) with this schema.",
" ",
"Output:",
"-output file.xml Output XML format file.",
" ",
NULL
}

Definition at line 18 of file bxml.cpp.

## ◆ verbose

int verbose